weka.core

## Interface EnvironmentHandler

- All Known Implementing Classes:
    AbstractFileLoader, AbstractFileSaver, AddUserFields, AddUserFieldsCustomizer, ArffLoader, ArffSaver, ASEvaluatorStepEditorDialog, Associator, AttributeSummarizer, AttributeSummarizerCustomizer, AttributeSummarizerStepEditorDialog, BlockStepEditorDialog, BoundaryPlotterStepEditorDialog, C45Loader, C45Saver, ClassAssignerStepEditorDialog, Classifier, ClassifierCustomizer, ClassifierPerformanceEvaluatorStepEditorDialog, ClassValuePickerStepEditorDialog, CSVLoader, CSVSaver, DatabaseLoader, DatabaseSaver, DataGridStepEditorDialog, DataVisualizer, DataVisualizerCustomizer, DataVisualizerStepEditorDialog, DictionarySaver, EnvironmentField, EnvironmentField, ExecuteProcessStepEditorDialog, FileEnvironmentField, FileEnvironmentField, FixedDictionaryStringToWordVector, FlowByExpression, FlowByExpressionCustomizer, FlowByExpressionStepEditorDialog, GOEStepEditorDialog, ImageSaver, ImageSaverCustomizer, InputMappedClassifier, JobStepEditorDialog, Join, JoinCustomizer, JoinStepEditorDialog, JSONLoader, JSONSaver, LibSVMLoader, LibSVMSaver, Loader, LoaderCustomizer, LoaderStepEditorDialog, MatlabLoader, MatlabSaver, ModelPerformanceChart, ModelPerformanceChartCustomizer, ModelPerformanceChartStepEditorDialog, NoteEditorDialog, OrdinalToNumeric, PropertySheetPanel, ReplaceMissingWithUserConstant, Saver, SaverCustomizer, SaverStepEditorDialog, ScatterPlotMatrix, SendToPerspectiveStepEditorDialog, SerializedInstancesLoader, SerializedInstancesSaver, SerializedModelSaver, SerializedModelSaverCustomizer, SetVariablesStepEditorDialog, Sorter, SorterCustomizer, SorterStepEditorDialog, StepEditorDialog, StorePropertiesInEnvironmentStepEditorDialog, SubstringLabeler, SubstringLabelerCustomizer, SubstringLabelerRules, SubstringLabelerStepEditorDialog, SubstringReplacer, SubstringReplacerCustomizer, SubstringReplacerRules, SubstringReplacerStepEditorDialog, SVMLightLoader, SVMLightSaver, TextSaver, TextSaverCustomizer, Vote, XRFFLoader, XRFFSaver

      public interface EnvironmentHandler

  Interface for something that can utilize environment variables. NOTE: since environment variables should be transient, the implementer needs to be careful of state after de-serialization. Default system-wide environment variables can be got via a call to `weka.core.Environment.getSystemWide()`
  Version:
    $Revision: 8034 $
  Author:
    mhall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEnvironment(Environment env)` Set environment variables to use.

- - ### Method Detail

    - #### setEnvironment

          void setEnvironment(Environment env)

      Set environment variables to use.
      Parameters:
        `env` - the environment variables to use